* {
  box-sizing: border-box;
  transition: 0.5s;
  -webkit-appearance: none;
}
:-ms-input-placeholder,
::-webkit-input-placeholder,
::placeholder {
  color: red;
}
body,
html {
  font-family: "DejaVu Sans", Verdana, sans-serif;
  box-sizing: border-box;
  font-size: 16px;
  margin: 0;
  padding: 0;
  color: #505050;
  background-color: #f2f2f5;
}
main {
  margin-top: 10%;
}
.Btn {
  position: relative;
  color: #fff;
  border: none;
  margin: 0;
  background-color: #49aeca;
  font-size: 1.5rem;
  padding: 10px;
  border: 1px solid #e4e4e4;
  border-radius: 0.75rem;
  min-height: 40px;
  font-family: "DejaVu Sans", Verdana, sans-serif;
  width: 100%;
}
.BtnDisabled {
  background-color: #ccc;
  color: #777;
}
.Btn:active,
.Btn:hover {
  cursor: pointer;
  background: #0d3141;
}
a.Btn {
  text-decoration: none;
}
/*Loading Icon*/
.button-processing {
  display: none;
}
.Btn {
  display: flex;
  justify-content: center;
}
.Btn:focus > .lds-ring {
  display: inline-block;
  position: absolute;
  right: 2%;
  bottom: 12%;
}
.lds-ring {
  display: none;
  position: relative;
  width: 40px;
  height: 40px;
  margin-right: 5px;
  margin-bottom: 5px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 32px;
  height: 32px;
  margin: 8px;
  border: 6px solid #fff;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #fff transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
h1,
h2 {
  color: #0d3141;
  margin: 0 0 10px 0;
  font-weight: lighter;
  text-transform: uppercase;
  text-align: center;
}
h1 {
  font-size: 3rem;
}
h2 {
  font-size: 1.5rem;
}
section {
  width: 100%;
  padding: 3%;
  margin: 0 auto;
  text-align: center;
}
section .DataGroupList {
  padding: 15px 0;
}
section input,
section select,
section textarea {
  width: 100%;
  padding: 10px;
  border: 1px solid #e4e4e4;
  border-radius: 0.75rem;
  min-height: 40px;
  color: #777;
  font-family: "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, sans-serif;
}
section #CreateWebsiteBooking_Title,
section select {
  line-height: 1.5rem;
  background: url(a33c42e0c3615cf7c3a3.png) no-repeat right 16px;
  background-color: #fff;
}
section #CreateWebsiteBooking_Title::-webkit-calendar-picker-indicator,
section select::-webkit-calendar-picker-indicator {
  display: none;
}
li {
  list-style: none;
  margin: 0 0 15px 0;
}
li label {
  text-align: center;
  padding: 0 0 5px 0;
  display: block;
}
li label .RequiredInfo {
  color: red;
}
.reg-number {
  font-size: 2em;
  font-family: Arial;
  background-color: #FFD307;
  border: 3px solid #4c5c68;
  border-radius: 5px;
  text-transform: uppercase;
  font-weight: bold;
  text-align: center;
  margin-bottom: 20px;
}
#Loader {
  width: 15%;
  margin-top: 20px;
}
.ActionButton {
  display: block;
}
.UrgentButton {
  color: #0d3141;
  background-color: #fd7b7b;
  margin-top: 10px;
}
.UrgentButton:active,
.UrgentButton:hover {
  cursor: pointer;
  background-color: red;
}
footer {
  text-align: center;
}
#RequiredInfoMessage {
  font-size: 0.75rem;
  text-align: right;
  color: #ccc;
}
#RequiredInfoMessage .RequiredInfo,
.ErrorMessage {
  color: red;
}
#AvailableDates input {
  width: 32%;
  padding: 10px 0 10px 10px;
}
#AvailableDates input#CreateWebsiteBooking_AvailableDate2 {
  margin: 0 0.5%;
}
#RequiredServicesWrapper ul {
  padding: 0;
}
#RequiredServicesWrapper textarea:disabled {
  display: none;
}
#RequiredServicesWrapper details {
  cursor: pointer;
  padding: 10px;
  border-radius: 0.75rem;
  border: 1px solid #49aeca;
}
#RequiredServicesWrapper details summary {
  color: #49aeca;
}
#RequiredServicesWrapper details p {
  text-align: left;
  font-size: 0.75rem;
}
#RequiredServicesWrapper details p span {
  font-weight: 700;
}
#RequiredServicesWrapper details#MOTDetails {
  color: #777;
  border: 0;
  width: 100%;
  text-align: left;
  font-size: 0.75rem;
  margin: 0 0 30px 0;
  display: inline-block;
}
#RequiredServicesWrapper details#MOTDetails[open] {
  width: 100%;
}
#RequiredServicesWrapper .WorkRequiredServicesList li {
  min-height: 60px;
  position: relative;
  border-bottom: 1px solid #eee;
}
#RequiredServicesWrapper .WorkRequiredServicesList li label {
  width: auto;
  margin: 0 0 10px 0;
  text-align: left;
  cursor: pointer;
  padding: 10px 10px 10px 60px;
  background: url(a1bcd477f39cfddc118d.png) no-repeat left 0;
  transition: 0.25s;
}
#RequiredServicesWrapper .WorkRequiredServicesList li input:checked + label {
  background-position: left -90px;
  transition: 0.25s;
}
#RequiredServicesWrapper .WorkRequiredServicesList li .IsSelectedCheckbox {
  width: 40px;
  height: 40px;
  display: none;
}
#RequiredServicesWrapper .WorkRequiredServicesList li .IsSelectedCheckboxinput {
  border: 1px solid #49aeca;
}
.SectionContent {
  /*move-to to common css*/
  padding: 20px 10px;
  margin-bottom: 30px;
  background: white;
  box-shadow: 0 1px 5px rgba(0, 0, 0, 0.1), 0 6px 10px rgba(0, 0, 0, 0.1);
  border: 1px solid #dbdee0;
  border-radius: 5px;
}
#CreateBookingWrapper {
  margin: 50px 0 10px 0;
}
@media (min-width: 992px) {
  section {
    padding: 10px;
    width: 60%;
  }
  #AvailableDates input {
    width: 32.1%;
  }
  .reg-number {
    font-size: 3em;
  }
}
@media (min-width: 1200px) {
  section {
    width: 35%;
  }
}
#VehicleInfo {
  font-weight: bold;
  margin-left: 0;
  margin-right: 0;
}
/*GARAGE SEARCH*/
#SearchGarages input {
  margin: 10px 0;
}
#SearchGarages #Postcode {
  text-transform: uppercase;
}
#GarageSearchResults {
  padding: 0;
}
.GarageDetails {
  position: relative;
}
.GarageDetails .ResultNumber {
  position: absolute;
  top: 5%;
  left: 5%;
  font-size: 1.2em;
}
.GarageDetails p:first-child {
  font-weight: bold;
  margin: 20px;
}
/*CANCEL BOOKING*/
.CancelBookingForm,
.CancelBookingForm > button {
  margin-top: 20px;
}
.CancelBookingForm > textarea {
  max-width: 100%;
}
.RequestedList {
  padding: 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-evenly;
}
.DetailEmphasis {
  padding: 10px;
  border: 1px solid #e4e4e4;
  border-radius: 0.75rem;
  min-height: 40px;
  background-color: #f2f2f5;
  color: #777;
  min-width: 20%;
}
.CancelResponse {
  margin: 20px 0;
}
.AlreadyBookedResponse {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#BulkBooking .reg-number {
  font-size: 1.5rem;
}
#BulkBooking .reg-number-invalid {
  background-color: red;
}
#BulkBooking .invalid {
  border: 1px solid red;
  border-radius: 5%;
  color: red;
}
@media (min-width: 992px) {
  #BulkBooking section {
    padding: 10px;
    width: 95%;
  }
}
#BulkBooking .icon {
  vertical-align: middle;
}
#BulkBooking table th {
  font-size: 0.8rem;
}
#BulkBooking table tbody {
  font-size: 0.8rem;
}
#BulkBooking table td {
  vertical-align: middle;
}
#BulkBooking a.download-template-link,
#BulkBooking a.download-template-link:active,
#BulkBooking a.download-template-link:hover,
#BulkBooking a.download-template-link:visited {
  color: #fff;
}
#BulkBooking #BulkBookingFileProblem {
  display: none;
}
#BulkBooking .BulkBookingResult .success {
  color: green;
}
#BulkBooking .BulkBookingResult .fail {
  color: red;
}
#BulkBooking .BulkBookingResult .BulkBookingResultRow td:first-child {
  white-space: nowrap;
}
#BulkBooking .BulkBookingResult .BulkBookingResultRow td:last-child {
  width: 25%;
}
#BulkBooking .BulkBookingResult .BulkBookingResultRow td:last-child .success,
#BulkBooking .BulkBookingResult .BulkBookingResultRow td:last-child .fail {
  display: none;
}

